ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

chatbot install fails at rasa_train step

book

Article ID: 212495

calendar_today

Updated On:

Products

CA Service Management - Service Desk Manager

Issue/Introduction

installing chatbot on my test OOTB env. As far as I'm aware, I've got chatbot installed successfully up to the point of the rasa_train step. When I execute the rasa_train step, it errors out about failing to load the native tensorflow runtime.

(botenv) (base) D:\Aria\casm-bot>rasa_train
RASA Training started...
Traceback (most recent call last):
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "d:\ProgramData\Anaconda3\lib\imp.py", line 242, in load_module
    return load_dynamic(name, filename, file)
  File "d:\ProgramData\Anaconda3\lib\imp.py", line 342, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "d:\ProgramData\Anaconda3\lib\runpy.py", line 193, in _run_module_as_main

    "__main__", mod_spec)
  File "d:\ProgramData\Anaconda3\lib\runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "D:\Aria\botenv\Scripts\rasa.exe\__main__.py", line 9, in <module>
  File "d:\aria\botenv\lib\site-packages\rasa\__main__.py", line 82, in main
    set_log_level(log_level)
  File "d:\aria\botenv\lib\site-packages\rasa\utils\common.py", line 71, in set_log_level
    update_tensorflow_log_level()
  File "d:\aria\botenv\lib\site-packages\rasa\utils\common.py", line 107, in update_tensorflow_log_level
    import tensorflow as tf
  File "d:\aria\botenv\lib\site-packages\tensorflow\__init__.py", line 101, in <module>
    from tensorflow_core import *
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module>
    from tensorflow.python.tools import module_util as _module_util
  File "d:\aria\botenv\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__
    module = self._load()
  File "d:\aria\botenv\lib\site-packages\tensorflow\__init__.py", line 44, in _load
    module = _importlib.import_module(self.__name__)
  File "d:\ProgramData\Anaconda3\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "d:\aria\botenv\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "d:\ProgramData\Anaconda3\lib\imp.py", line 242, in load_module
    return load_dynamic(name, filename, file)
  File "d:\ProgramData\Anaconda3\lib\imp.py", line 342, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: The specified module could not be found.


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.
RASA Training completed...

When rasa was on 1.7.4, failed at the training step too and now on rasa 1.8.3, it fails on the training step again.

Environment

Release : 17.3

Component : XFLOW INTERFACE FOR SDM

Resolution

The issue is fixed by upgrading Microsoft Visual Build Tools to v2019.